<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- aa-11 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">

        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" bgcolor="white">
        <tr>
        <td height="26" bgcolor="#999999">

  			<!-- MENU -->
				<table cellpadding="0" cellspacing="0" border="0">
					<tr>
						<td style="padding-left: 228px;"><img src="images/menudivide.gif" width="1" height="26" border="0" alt=""/></td>
		       			<!-- CALL MAIN-MENU-->
		       			<xsl:call-template name="TOP-MENU"/>
					</tr>
				</table>

  			<!-- END MENU -->

        </td>
        </tr>
        <tr>
        <td height="100%" class="pageheader-bgrpt" style="background-image: url('images/header_bgrpt.gif'); background-position: top left; background-repeat: repeat-x;">
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        	<tr>
        	<td height="186" colspan="2" style="padding: 0px 20px 0px 429px;">
        		<table cellpadding="0" cellspacing="0" border="0">
        		<tr>
        		<td style="padding-right:10px; border-right:1px solid #000000;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        		<td style="padding-left:10px;">
        			<span class="mycompany1"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span>
        			<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        		</td>
        		</tr>
        		</table>
        	</td>
        	</tr>
        	<tr>
        	<td valign="top" height="100%">
        		<table cellpadding="0" cellspacing="0" border="0" width="231" height="100%">
        		<tr>
        		<td height="41"><img src="images/2ndmenu_toppng.png" width="231" height="41" border="0" alt=""/></td>
        		</tr>
        		<tr>
        		<td valign="top" height="100%" class="secondmenu-bgrpt" style="background-image: url('images/2ndmenu_bgrpt.gif'); background-position: top left; background-repeat: repeat-y;">
        			<table cellpadding="0" cellspacing="0" border="0" width="231" height="100%" style="background-image:url(images/2ndmenu_bg.jpg); background-position: top right; background-repeat: no-repeat;">
        			<tr>
        			<td valign="top" style="url(images/2ndmenu_divider.gif) bottom left no-repeat;">
                		<!-- SUBMENU -->

               				<!-- CALL SUB-MENU-->
               				<xsl:call-template name="SUB-MENU">
               					<xsl:with-param name="pageID" select="@ID"/>
               				</xsl:call-template>

                		<!-- END SUBMENU -->

        			</td>
        			</tr>
        			<tr>
        			<td height="100%" valign="top"><img src="images/2ndmenu_ab.gif" width="231" height="224" border="0" alt=""/></td>
        			</tr>
        			</table>
        		</td>
        		</tr>
        		<tr>
        		<td bgcolor="#ffffff"><img src="images/2ndmenu_bottompng.png" width="231" height="30" border="0" alt=""/></td>
        		</tr>
        		</table>
        	</td>
        	<td width="100%" valign="top">
        		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
        		<tr><td height="8" style="border-bottom:3px solid #ffffff;"><img src="images/text_toppng.png" width="158" height="8" border="0" alt=""/></td></tr>
        		<tr>
        		<td height="100%" class="text-maincolor" valign="top">
        			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
        			<tr>
        			<td height="39" class="text-pageheader" style="background-image: url('images/text_pageheader_bgrpt.gif'); background-position: top left; background-repeat: repeat-x;">
        				<table cellpadding="0" cellspacing="0" border="0" width="100%" height="39" style="background-image:url(images/text_pageheader_bg.jpg); background-position: top left; background-repeat: no-repeat;">
        				<tr><td class="pageheader"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				</table>
        			</td>
        			</tr>
        			<tr>
        			<td class="thatext" valign="top" style="background-image: url('images/text_bgrpt.gif'); background-position: top left; background-repeat: repeat-x;">

        				<span class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></span>

        			</td>
        			</tr>
        			</table>
        		</td>
        		</tr>
        		</table>
        	</td>
        	</tr>
        	</table>
        </td>
        </tr>
        <tr>
        <td>
        	<table cellpadding="0" cellspacing="0" border="0" height="41">
        	<tr>
        	<td style="padding-left:238px;" class="bottommenu">

	   			<!--CALL BOTTOM-MENU -->
   				<xsl:call-template name="BOTTOM-MENU"/>

        	</td>
        	</tr>
        	</table>
        </td>
        </tr>
        <tr>
        <td height="56" class="footer">
        	<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        </td>
        </tr>
        </table>

        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->
   				

	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" border="0" width="100%">
   				<tr height="41"><td style="background-image:url(images/2ndmenu_divider.gif); background-position: bottom left; background-repeat: no-repeat;"></td></tr>
   				</table>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" border="0" width="100%">
   				<tr height="41"><td style="background-image:url(images/2ndmenu_divider.gif); background-position: bottom left; background-repeat: no-repeat;"></td></tr>
   				</table>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

   				
   				
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<a class="bottommenu" href="{@HREF}" id="abmenu"><b><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b></a>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
				<a class="bottommenu" href="{@HREF}" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
        	&#160;&#160;|&#160;
        </xsl:if>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
