<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
<!-- vap-64 -->
      <head>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
        <link href="css/styles.css" rel="stylesheet" type="text/css"/>
      </head>
      <body leftmargin="0" rightmargin="0" topmargin="0" bottommargin="0" class="main-bg">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
          <tr>
            <td height="143px" style="background:url(images/header_bg.jpg) repeat;">
             <table border="0" cellpadding="0" cellspacing="0" width="100%" height="143px" >
               <tr>
                 <td align="left" style="padding-left:20px;background:url(images/header_bg1.jpg);background-repeat:no-repeat;background-position:right" width="100%">
                   <table width="100%"  border="0" cellpadding="0" cellspacing="0" valign="left">
                     <tr>
                       <td valign="right" width="41px">
                         <a href="./"><img src="images/{LOGO/@NAME}" border="0" /></a>
                       </td>
                       <td align="left">
                         <!--LOGO-->
                         <table border="0" cellpadding="0" cellspacing="0" align="left">
                           <tr>
                             <td class="company" style="padding-left:15px; text-align: left">
                               <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                             </td>
                           </tr>
                           <tr>
                             <td class="slogan" style="padding-left:15px; text-align: left">
                               <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                             </td>
                           </tr>
                         </table>
                         <!--END LOGO-->
                       </td>
                     </tr>
                   </table>
                 </td>
                 <td style="background:url(images/header.jpg) no-repeat right;">
				   <div style="width: 520px; height: 0;"><span></span></div>
                 </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="39px">
              <table border="0" cellpadding="0" cellspacing="0" width="100%" height="39px">
                <tr>
                  <td colspan="3" height="39px" style="background-image: url(images/vap_64_05.jpg); background-position: top; background-repeat: repeat-x;padding-left:20px; padding-right:20px" align="center" class="topmenu-bg">
                    <!--TOP MENU-->
                    <table border="0" cellpadding="0" cellspacing="0" height="100%">
                      <tr>
                        <xsl:call-template name="TOP-MENU"/>
                      </tr>
                    </table>
                    <!--END TOP MENU-->
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="100%" width="100%">
              <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                  <td height="18px" width="100%">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td height="18px" width="363px" style="vertical-align: top; background-image: url(images/vap_64_07.jpg);">
                          <div style="width: 363px; height: 0;"><span></span></div>
                        </td>
                        <td height="18px" width="100%" style="vertical-align: top;background-image: url(images/vap_64_09.jpg); " >
                          <div style="width: 309px; height: 0;"><span></span></div>
                        </td>
                        <td height="18px" width="108px" style="vertical-align: top; background-image: url(images/vap_64_11.jpg);">
                          <div style="width: 108px; height: 0;"><span></span></div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td height="100%" width="100%">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td height="100%" width="172px" valign="top" class="main-bg">
                          <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <tr>
                              <td colspan="3" width="172px" height="35px" style="vertical-align: top; background-image: url(images/vap_64_12.jpg);">
                                <div style="width: 172px; height: 0;"><span></span></div>
                              </td>
                            </tr>
                            <tr>
                              <td width="12px" height="100%px" style="vertical-align: top; background-image: url(images/vap_64_21.jpg);">
                                <div style="width: 12px; height: 50px;"><span></span></div>
                              </td>
                              <td width="148px" height="100%" class="submenu-bg" valign="top">
                                <!--SUBMNEU-->
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                  <xsl:call-template name="SUB-MENU">
                                    <xsl:with-param name="pageID" select="@ID"/>
                                  </xsl:call-template>
                                </table>
                                <!--END SUBMENU-->
                              </td>
                              <td width="12px" height="100%" style="vertical-align: top; background-image: url(images/vap_64_23.jpg);">
                                <div style="width: 12px; height: 50px;"><span></span></div>
                              </td>
                            </tr>
                            <tr>
                              <td colspan="3" width="172px" height="35px" style="vertical-align: top; background-image: url(images/vap_64_28.jpg);">
                                <div style="width: 172px; height: 0px;"><span></span></div>
                              </td>
                            </tr>
                          </table>
                           <div style="width: 172px; height: 100px;"><span></span></div>
                        </td>
                        <td height="100%" width="100%" valign="top">
                          <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                            <tr>
                              <td height="30px" width="100%" >
                                <table border="0" cellpadding="0" cellspacing="0" height="100%" >
                                  <tr>
                                    <td width="18px" height="30px" style="background-image: url(images/vap_64_13.jpg); vertical-align: top; ">
                                    </td>
                                    <td height="30px" style="background-color: white; padding-left:3px"  valign="middle">
                                      <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                                        <tr>
                                          <td class="text-header">
                                            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                                          </td>
                                          <td width="30" align="right">
                                            <img src="images/textheader.jpg" />
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                    <td width="34px" height="30px" style="background-image: url(images/vap_64_15.jpg); vertical-align: top; ">
										<div style="width: 34px; height: 0px;"><span></span></div>
                                    </td>
                                    <td height="30px"  style="vertical-align: top; " class="main-bg">
                                      <div style="width: 1px; height: 1px;"><span></span></div>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                            <tr>
                              <td width="100%" style="background-color: white; vertical-align: top;">
                                <table height="100%" width="100%" border="0" cellpadding="18" cellspacing="0">
                                  <tr>
                                    <td class="pageContent" name="SB_stretch" valign="top">
                                      <xsl:apply-templates select="PAGE-CONTENT"/>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                            <tr>
                              <td height="22px" width="100%">
                                <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                                  <tr>
                                    <td height="22px" width="18px" style="background-image: url(images/vap_64_30.jpg); vertical-align: top; ">
                                      <div style="width: 18px; height: 0px;"><span></span></div>
                                    </td>
                                    <td height="22px" width="100%" style="background-image: url(images/vap_64_31.jpg); vertical-align: top; ">
                                      <div style="width: 482px; height: 0px;"><span></span></div>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td height="100%" width="108px">
                          <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                            <tr>
                              <td height="30px" width="108px" style="vertical-align: top; background-image: url(images/vap_64_17.jpg);">
                                <div style="width: 108px; height: 0px;"><span></span></div>
                              </td>
                            </tr>
                            <tr>
                              <td height="17px" width="108px" style="vertical-align: top; background-image: url(images/vap_64_20.jpg);">
                                <div style="width: 108px; height: 0px;"><span></span></div>
                              </td>
                            </tr>
                            <tr>
                              <td height="100%" width="108px" style="vertical-align: top; background-image: url(images/vap_64_26.jpg);">
                                <div style="width: 108px; height: 180px;"><span></span></div>
                              </td>
                            </tr>
                            <tr>
                              <td height="22px" width="108px" style="vertical-align: top; background-image: url(images/vap_64_33.jpg);">
                                <div style="width: 108px; height: 0px;"><span></span></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="69px" width="100%" style="background-color: white; padding-top:15px;padding-left:20px;padding-right:20px" align="center" valign="top">
              <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <xsl:call-template name="BOTTOM-MENU"/>
                </tr>
              </table>
              <table border="0" cellpadding="0" cellspacing="0" height="35px">
                <tr>
                  <td colspan="3" align="center" valign="middle" class="footer" style="padding-top:5px; padding-bottom:5px">
                    <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </body>
    </html>

  </xsl:template>


  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td width="30px" height="27px" align="right" style="padding-left:30px" class="asubmenu">
            <img src="images/submenu.gif" border="0"/>
          </td>
          <td style="padding-left:4px" width="100%" height="27px" class="asubmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="30px" height="27px" align="right" style="padding-left:30px" class="submenu">
              <a href="{@HREF}" >
                <img src="images/asubmenu.gif" border="0"/>
              </a>
            </td>
            <td style="padding-left:4px" width="100%" height="27px" class="submenu">
              <a href="{@HREF}" class="submenu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td colspan="2" width="100%" height="3px">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td style="padding-left:11px; padding-right:11px;text-align: center;">
		          <a  class="abmenu " href="{@HREF}" id="abmenu">
		            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
		          </a>
		        </td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td style="padding-left:11px; padding-right:11px;text-align: center;"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		      <td>
		        <img src="images/bottom.jpg" />
		      </td>
  		</xsl:if>
</xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="." disable-output-escaping="yes"/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>

